<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * zsb
 *
 * 租售宝系统基本类库
 *
 * @package         zsb
 * @author          EllisLab Dev Team
 * @copyright      Copyright (c) 2006 - 2014, HOUSE365, Inc.
 * @link            http://nj.sell.house.com
 * @since           Version 1.0
 */

// ------------------------------------------------------------------------

/**
 * House_attr_model CLASS
 *
 * 房源属性类。
 *
 * @package         zsb
 * @subpackage      Models
 * @category        Models
 * @author          xz
 */
class House_attr_model extends MY_Model {

    /**
     * 房源编号
     * @access private
     * @var integer
     */
    private $_rowid = 0;
    
    /**
     * 房源表名称
     * @var private
     */
    private $_house_tbl = '';

    /**
     * 房源信息数组
     * @access private
     * @var array
     */
    private $_house_info = array() ;
    
    /**
     * 需要查询的数据表字段数组
     * @var array 
     */
    private $_select_fields = array();
    
    /**
     * Constructor
     */
    public function __construct() 
    {
        parent::__construct(1,1,1);
    }
    
    
    /**
     * 初始化rowid参数
     *
     * @access	public
     * @param	int $rowid 房源编号
     * @return	void
     */
    public function set_rowid( $rowid )
    {
        $this->_rowid = intval( $rowid );
    }
    
    
    /**
     * 获取$rowid
     *
     * @access	public
     * @return	int 设置的房源编号
     */
    public function get_rowid()
    {
        return $this->_rowid ;
    }
    
    
    /**
     * 初始化houseinfo参数
     *
     * @access	public
     * @param	array $houseinfo 房源信息数组
     * @return	void
     */
    public function set_houseinfo($houseinfo)
    {
        $this->_house_info = $houseinfo;
    }
    
    
    /**
     * 获取houseinfo参数
     *
     * @access	public
     * @return	array  房源信息数组
     */
    public function get_houseinfo()
    {
        return $this->_house_info;
    }
    
    
    /**
     * 设置需要查询的字段
     *
     * @access	public
     * @param	array $fields_arr 需要查询的字段
     * @return	void
     */
    public function set_select_fields($fields_arr)
    {
        $this->_select_fields = $fields_arr;
    }
    
    
    /**
     * 设置需要查询的字段
     *
     * @access	public
     * @return	array  需要查询的字段
     */
    public function get_select_fields()
    {
       return  $this->_select_fields;
    }
    
    
    /**
     * 设置房源表名称
     *
     * @access	public
     * @param	string $tbl_name 房源表名称
     * @return	void
     */
    public function set_house_tbl( $tbl_name )
    {
        $this->_house_tbl = strip_tags( $tbl_name );
    }
    
    
    /**
     * 获取设置的表名称
     *
     * @access	public
     * @return	string  房源表名称
     */
    public function get_house_tbl()
    {
       return  $this->_house_tbl;
    }
    
    
    /**
     * 初始化房源信息
     *
     * @access	public
     * @return	array 房源信息数组
     */
    protected function init_houseinfo()
    {   
        $houseinfo = array();
        
        if( isset($this->_rowid) && $this->_rowid > 0 )
        {   
            $houseinfo = $this->get_houseinfo_by_id($this->_select_fields);
        }
        else if(isset($this->_house_info) && is_array($this->_house_info))
        {
            $houseinfo = $this->_house_info;
        }
        
        return $houseinfo;
    }
    
    
    /**
      * 根据房源编号获取房源信息
      *
      * @access protected
      * @param  array $select_fields [需要查询的字段]
      * @return array [返回房源信息数组]
      */
    protected function get_houseinfo_by_id( $select_fields )
    {
        
    }
}
/* End of file house_attr_model.php */
/* Location: ./zsb/model/house_attr_model.php */
